Package org.apache.sling.clam.result

## Interface JcrPropertyScanResultHandler

All Known Implementing Classes:
  `ClamEventsServlet`, `EventPublishingScanResultHandler`, `ResourcePersistingScanResultHandler`

    @ConsumerType
    public interface JcrPropertyScanResultHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleJcrPropertyScanResult​(@NotNull org.apache.sling.commons.clam.ScanResult scanResult, @NotNull java.lang.String path, int index, int propertyType, @Nullable java.lang.String userId)`
`void` `handleJcrPropertyScanResult​(@NotNull org.apache.sling.commons.clam.ScanResult scanResult, @NotNull java.lang.String path, int propertyType, @Nullable java.lang.String userId)`

### Method Detail

#### handleJcrPropertyScanResult

    void handleJcrPropertyScanResult​(@NotNull
                                     @NotNull org.apache.sling.commons.clam.ScanResult scanResult,
                                     @NotNull
                                     @NotNull java.lang.String path,
                                     int propertyType,
                                     @Nullable
                                     @Nullable java.lang.String userId)

Parameters:
  `scanResult` - The scan result from Clam service
  `path` - The path of the scanned single-value property
  `propertyType` - The type of the scanned property
  `userId` - The id of the user who added or changed the property

#### handleJcrPropertyScanResult

    void handleJcrPropertyScanResult​(@NotNull
                                     @NotNull org.apache.sling.commons.clam.ScanResult scanResult,
                                     @NotNull
                                     @NotNull java.lang.String path,
                                     int index,
                                     int propertyType,
                                     @Nullable
                                     @Nullable java.lang.String userId)

Parameters:
  `scanResult` - The scan result from Clam service
  `path` - The path of the scanned multi-value property
  `index` - The index of the scanned property value
  `propertyType` - The type of the scanned property
  `userId` - The id of the user who added or changed the property